4

After upgrading to Ubuntu 11.10, existing Groupwise accounts do not work in Evolution. If I try to create a new account, there is no option to choose a Groupwise account. It appears that this functionality is no longer built in to Ubuntu 11.10 and the package "evolution-groupwise" is not available in the repositories...

3

Transcribed answer from the Ubuntu forums:

Start by installing git

sudo apt-get install git

Next, download the source code (several commands)

git clone git://git.gnome.org/evolution-groupwise
cd evolution-groupwise
git checkout -b 3.2.0-patch EVOLUTION_GROUPWISE_3_2_0

# This is the patch for the SOAP port bug
git cherry-pick 3aae80f55d5fd565274f19210564e74d5350a66c 

Using any editor, edit configure.ac at about line 48 add the line

AC_CHECK_LIB(gthread-2.0, g_thread_init)

Install the dependencies

sudo apt-get build-dep evolution

Compile

./autogen.sh
make
sudo make install

Last, using any editor, edit /etc/services add in the lines

groupwise 1677/tcp
groupwise 1677/udp
-1

I created a temporary solution: http://ubuntuforums.org/showthread.php?t=1859907

  • 2
    Welcome to Ask Ubuntu! Whilst this may theoretically answer the question, it would be preferable to include the essential parts of the answer here, and provide the link for reference. Imagine the linked site goes down for maintenance or forever - your answer would become worthless. – htorque Oct 17 '11 at 17:31

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.